/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident "$Header: gentty_space.c 1.4 90/01/25 $"

/*
 * gentty_space.c
 *	Configuration file for the indirect driver for controlling tty
 */

/* $Log:	gentty_space.c,v $
 */

#include "sys/types.h"
#include "sys/param.h"
#include "sys/devsw.h"

/* device operations */

extern	int	syopen();
extern	int	syread();
extern	int	sywrite();
extern	int	syioctl();
extern	int	systrmsgio();
extern	int	systrpoll();
extern	int	nulldev();

struct	devops	sydevops = {
	syopen,			/* d_open */
	nulldev, 		/* d_close */
	nulldev, 		/* d_strategy */
	nulldev, 		/* d_minphys */
	nulldev, 		/* d_psize */
	nulldev, 		/* d_print */
	syread,			/* d_read */
	sywrite, 		/* d_write */
	syioctl, 		/* d_ioctl */
	nulldev, 		/* d_mmap */
	nulldev, 		/* d_intr */
	NULL,			/* d_str */
	systrmsgio,		/* d_strmsgio */
	systrpoll,		/* d_strpoll */
};
